<?php
namespace PerProduct\Api\Endpoints;

class Create_Rule_Endpoint extends Abstract_Endpoint
{

	public function callback( $data )
	{
		if (!isset($data['rule'])) {
			$this->abort('[rule] is required.');
		}

		$rule = $data['rule'];

		foreach ($rule as $key => $item) {
			if (is_string($item)) { #todo
				$rule[$key] =  sanitize_text_field($item);
			}
		}

		$rules = get_option(self::PER_PRODUCT_RULES_KEY);

		if (!$rules) {
			$rules[] = $rule;
		} else {
			array_push($rules, $rule);
		}

		update_option(self::PER_PRODUCT_RULES_KEY, $rules);

		return $this->ok();

	}

	public function action() {
		return 'per_product_create_rule';
	}
}
